# Delete SKU codes

Use the **deleteSku** method to remove product SKU codes through an API call using the below parameters.

## Request parameters

<table><thead><tr><th width="222.5333251953125">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>ProductCode</code></td><td><strong>Requires (string)</strong><br>The product code that you can define for each of your offerings. Needs to be unique.</td></tr><tr><td><code>PriceConfigurations</code></td><td><strong>Required (string)</strong></td></tr><tr><td><code>PriceConfigurationCode</code></td><td><p><strong>Required (string)</strong></p><p>Unique identifier of the pricing configuration.</p></td></tr><tr><td><code>SkuCode</code></td><td><p><strong>Required (string)</strong></p><p>Unique identifier of the SKU schema.</p></td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$product = new \stdClass();
$product->ProductCode= '6B3CB17DDA_COPY1';

$pricingConfiguration = new \stdClass();
$pricingConfiguration->PriceConfigurationCode = 'E684EC99B0';
$pricingConfiguration->SKUs = ['Product_Test_SKU_001050', 'Product_Test_SKU_001053'];

$product->PriceConfigurations = [$pricingConfiguration];

try {
    $skuOutput = $client->deleteSku($sessionID, [$product]);
} catch (SoapFault $e) {
    echo "deleteSku: " . $e->getMessage();
    exit;
}

var_dump("deleteSku", $skuOutput);
```

## Response parameters

<table><thead><tr><th width="227.86669921875">Parameter</th><th>Type</th></tr></thead><tbody><tr><td><code>ProductCode</code></td><td><strong>String</strong></td></tr><tr><td><code>PriceConfigurations</code></td><td><strong>String</strong></td></tr><tr><td><code>PriceConfigurationCode</code></td><td><strong>String</strong></td></tr></tbody></table>

### Response sample

```php
array(1) {
  [0] =>
  class stdClass#5 (4) {
    public $ProductCode =>
    string(16) "6B3CB17DDA_COPY1"
    public $PriceConfigurations =>
    array(1) {
      [0] =>
      class stdClass#6 (3) {
        public $PriceConfigurationCode =>
        string(10) "E684EC99B0"
        public $SKUs =>
        array(2) {
          [0] =>
          string(23) "Product_Test_SKU_001050"
          [1] =>
          string(23) "Product_Test_SKU_001053"
        }
        public $Errors =>
        array(0) {
        }
      }
    }
    public $SKUs =>
    array(0) {
    }
    public $Errors =>
    array(0) {
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/product-sku/delete-sku-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
